---
title: font-stretch
slug: Web/CSS/font-stretch
tags:
  - CSS
  - CSS Fonts
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<p>{{CSSRef}}</p>

<p><span class="seoSummary">The <strong><code>font-stretch</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property selects a normal, condensed, or expanded face from a font.</span></p>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
font-stretch: ultra-condensed;
font-stretch: extra-condensed;
font-stretch: condensed;
font-stretch: semi-condensed;
font-stretch: normal;
font-stretch: semi-expanded;
font-stretch: expanded;
font-stretch: extra-expanded;
font-stretch: ultra-expanded;

/* Percentage values */
font-stretch: 50%;
font-stretch: 100%;
font-stretch: 200%;

/* Global values */
font-stretch: inherit;
font-stretch: initial;
font-stretch: unset;
</pre>

<h2 id="Syntax">Syntax</h2>

<p>This property may be specified as a single keyword value or a single {{cssxref("&lt;percentage&gt;")}} value.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>normal</code></dt>
 <dd>Specifies a normal font face.</dd>
 <dt><code>semi-condensed</code>, <code>condensed</code>, <code>extra-condensed</code>, <code>ultra-condensed</code></dt>
 <dd>Specifies a more condensed font face than normal, with <code>ultra-condensed</code> as the most condensed.</dd>
 <dt><code>semi-expanded</code>, <code>expanded</code>, <code>extra-expanded</code>, <code>ultra-expanded</code></dt>
 <dd>Specifies a more expanded font face than normal, with <code>ultra-expanded</code> as the most expanded.</dd>
 <dt><code><var>&lt;percentage&gt;</var></code></dt>
 <dd>
 <p>A {{cssxref("&lt;percentage&gt;")}} value between 50% and 200% (inclusive). Negative values are not allowed for this property.</p>

 <div class="note">
 <p>In earlier versions of the <code>font-stretch</code> specification, the property accepts only the nine keyword values.</p>

 <p><strong>The {{ SpecName('CSS4 Fonts', '#propdef-font-stretch') }} spec</strong> extends the syntax to accept a <code><var>&lt;percentage&gt;</var></code> value as well. This enables variable fonts to offer something more like a <em>continuum</em> of character widths. For TrueType or OpenType variable fonts, the "<code>wdth</code>" variation is used to implement varying widths.</p>

 <p>However, note that the <code><var>&lt;percentage&gt;</var></code> syntax is not yet supported by all browsers: check the <a href="#Browser_compatibility">Browser compatibility</a> table for details.</p>
 </div>
 </dd>
</dl>

<h3 id="Keyword_to_numeric_mapping">Keyword to numeric mapping</h3>

<p>The table below shows the mapping between keyword values and numeric percentages:</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Keyword</th>
   <th scope="col">Percentage</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>ultra-condensed</code></td>
   <td>50%</td>
  </tr>
  <tr>
   <td><code>extra-condensed</code></td>
   <td>62.5%</td>
  </tr>
  <tr>
   <td><code>condensed</code></td>
   <td>75%</td>
  </tr>
  <tr>
   <td><code>semi-condensed</code></td>
   <td>87.5%</td>
  </tr>
  <tr>
   <td><code>normal</code></td>
   <td>100%</td>
  </tr>
  <tr>
   <td><code>semi-expanded</code></td>
   <td>112.5%</td>
  </tr>
  <tr>
   <td><code>expanded</code></td>
   <td>125%</td>
  </tr>
  <tr>
   <td><code>extra-expanded</code></td>
   <td>150%</td>
  </tr>
  <tr>
   <td><code>ultra-expanded</code></td>
   <td>200%</td>
  </tr>
 </tbody>
</table>

<h2 id="Description">Description</h2>

<p>Some font families offer additional faces in which the characters are narrower than the normal face (<em>condensed</em> faces) or wider than the normal face (<em>expanded</em> faces).</p>

<p>You can use <code>font-stretch</code> to select a condensed or expanded face from such fonts. If the font you are using does not offer condensed or expanded faces, this property has no effect.</p>

<h3 id="Font_face_selection">Font face selection</h3>

<p>The face selected for a given value of <code>font-stretch</code> depends on the faces supported by the font in question. If the font does not provide a face that exactly matches the given value, then values less than 100% map to a narrower face, and values greater than or equal to 100% map to a wider face.</p>

<p>The table below demonstrates the effect of supplying various different percentage values of <code>font-stretch</code> on two different fonts:</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="row"></th>
   <th scope="col">50%</th>
   <th scope="col">62.5%</th>
   <th scope="col">75%</th>
   <th scope="col">87.5%</th>
   <th scope="col">100%</th>
   <th scope="col">112.5%</th>
   <th scope="col">125%</th>
   <th scope="col">150%</th>
   <th scope="col">200%</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <th scope="row">Helvetica Neue</th>
   <td><img alt="" src="https://mdn.mozillademos.org/files/16039/Screenshot_2018-06-06_example_page.png" style="height: 59px; width: 45px;"></td>
   <td><img alt="" src="https://mdn.mozillademos.org/files/16039/Screenshot_2018-06-06_example_page.png" style="height: 59px; width: 45px;"></td>
   <td><img alt="" src="https://mdn.mozillademos.org/files/16039/Screenshot_2018-06-06_example_page.png" style="height: 59px; width: 45px;"></td>
   <td><img alt="" src="https://mdn.mozillademos.org/files/16039/Screenshot_2018-06-06_example_page.png" style="height: 59px; width: 45px;"></td>
   <td><img alt="" src="https://mdn.mozillademos.org/files/16040/Screenshot_2018-06-06_example_page1.png" style="height: 58px; width: 45px;"></td>
   <td><img alt="" src="https://mdn.mozillademos.org/files/16040/Screenshot_2018-06-06_example_page1.png" style="height: 58px; width: 45px;"></td>
   <td><img alt="" src="https://mdn.mozillademos.org/files/16040/Screenshot_2018-06-06_example_page1.png" style="height: 58px; width: 45px;"></td>
   <td><img alt="" src="https://mdn.mozillademos.org/files/16040/Screenshot_2018-06-06_example_page1.png" style="height: 58px; width: 45px;"></td>
   <td><img alt="" src="https://mdn.mozillademos.org/files/16040/Screenshot_2018-06-06_example_page1.png" style="height: 58px; width: 45px;"></td>
  </tr>
  <tr>
   <th scope="row">League Mono Variable</th>
   <td><img alt="" src="https://mdn.mozillademos.org/files/16030/Screenshot_2018-06-06_example_page.png" style="height: 58px; width: 45px;"></td>
   <td><img alt="" src="https://mdn.mozillademos.org/files/16031/Screenshot_2018-06-06_example_page1.png" style="height: 58px; width: 45px;"></td>
   <td><img alt="" src="https://mdn.mozillademos.org/files/16032/Screenshot_2018-06-06_example_page2.png" style="height: 58px; width: 45px;"></td>
   <td><img alt="" src="https://mdn.mozillademos.org/files/16033/Screenshot_2018-06-06_example_page3.png" style="height: 58px; width: 45px;"></td>
   <td><img alt="" src="https://mdn.mozillademos.org/files/16034/l-100.png" style="height: 58px; width: 45px;"></td>
   <td><img alt="" src="https://mdn.mozillademos.org/files/16035/l-112.5.png" style="height: 58px; width: 45px;"></td>
   <td><img alt="" src="https://mdn.mozillademos.org/files/16036/l-125.png" style="height: 58px; width: 45px;"></td>
   <td><img alt="" src="https://mdn.mozillademos.org/files/16037/l-150.png" style="height: 58px; width: 45px;"></td>
   <td><img alt="" src="https://mdn.mozillademos.org/files/16038/l-200.png" style="height: 58px; width: 45px;"></td>
  </tr>
 </tbody>
</table>

<ul>
 <li><strong>Helvetica Neue</strong>, which is installed by default on macOS, has a single condensed face in addition to the normal face. All values of <code>font-stretch</code> less than 100% select the condensed face, while all other values select the normal face.</li>
 <li><strong><a href="http://tylerfinck.com/leaguemonovariable/">League Mono Variable</a></strong> is a variable font that offers something like a continuous range of widths for different percentage values of <code>font-stretch</code>.</li>
</ul>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_font_stretch_percentages">Setting font stretch percentages</h3>

<div class="notecard note">
<p><strong>Note:</strong> This example will only work in browsers that support <code><var>&lt;percentage&gt;</var></code> values.</p>
</div>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div class="container"&gt;
    &lt;p class="condensed"&gt;an elephantine lizard&lt;/p&gt;
    &lt;p class="normal"&gt;an elephantine lizard&lt;/p&gt;
    &lt;p class="expanded"&gt;an elephantine lizard&lt;/p&gt;
&lt;/div&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">/*
This example uses the League Mono Variable font, developed by
Tyler Finck (https://www.tylerfinck.com/) and used here under
the terms of the SIL Open Font License, Version 1.1:
http://scripts.sil.org/cms/scripts/page.php?item_id=OFL_web
*/

@font-face {
  src: url('https://mdn.mozillademos.org/files/16014/LeagueMonoVariable.ttf');
  font-family:'LeagueMonoVariable';
  font-style: normal;
  font-stretch: 1% 500%; /* Required by Chrome */
}

.container {
  border: 10px solid #f5f9fa;
  padding: 0 1rem;
  font: 1.5rem 'LeagueMonoVariable', sans-serif;
}

.condensed {
  font-stretch: 50%;
}

.normal {
  font-stretch: 100%;
}

.expanded {
  font-stretch: 200%;
}

</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Setting_font_stretch_percentages", 1200, 250, "", "", "example-outcome-frame")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS4 Fonts', '#propdef-font-stretch', 'font-stretch') }}</td>
   <td>{{ Spec2('CSS4 Fonts') }}</td>
   <td>Adds the <code><var>&lt;percentage&gt;</var></code> syntax for variable fonts.</td>
  </tr>
  <tr>
   <td>{{ SpecName('CSS3 Fonts', '#propdef-font-stretch', 'font-stretch') }}</td>
   <td>{{ Spec2('CSS3 Fonts') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<div class="note">
<p><strong>Note:</strong> The <code>font-stretch</code> property was initially defined in CSS 2, but dropped in CSS 2.1 due to the lack of browser implementation. It was brought back in CSS 3.</p>
</div>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.font-stretch")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("font-style")}}</li>
 <li>{{cssxref("font-weight")}}</li>
 <li><a href="/en-US/docs/Learn/CSS/Styling_text/Fundamentals">Fundamental text and font styling</a></li>
</ul>
